package com.codigoparallevar.minicards.types;

import com.codigoparallevar.minicards.types.connectors.input.SignalInputConnector;
import com.codigoparallevar.minicards.types.wireData.Signal;

public class SignalWire extends Wire<Signal, SignalInputConnector> implements Moveable, Drawable {
    public SignalWire(Dropper dropper, int xInit, int yInit) {
        super(dropper, xInit, yInit);
    }

    public void sendSignal() {
        if (_attachedTo != null) {
            _attachedTo.sendSignal();
        }
    }
}
